/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

void MCWDT_Interrupt(void)
{
    Cy_GPIO_Inv(LED_PORT, LED_NUM);
    Cy_MCWDT_ClearInterrupt(MCWDT_HW, CY_MCWDT_CTR0);
}

int main(void)
{
    __enable_irq(); /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    
    /* Initialize MCWDT_0 interrupt */
    Cy_SysInt_Init(&SysInt_cfg, MCWDT_Interrupt);
    NVIC_EnableIRQ(srss_interrupt_mcwdt_0_IRQn);
  
    /* Set interrupt mask for MCWDT_0 */
	Cy_MCWDT_SetInterruptMask(MCWDT_HW, (CY_MCWDT_CTR0));
    
    /* Start MCWDT_0 */
    Cy_MCWDT_Init(MCWDT_HW, &MCWDT_config);
    Cy_MCWDT_Enable(MCWDT_HW, CY_MCWDT_CTR0, \
	                MCWDT_TWO_LF_CLK_CYCLES_DELAY);
    
    for(;;)
    {
        /* Place your application code here. */
        uint32 status = Cy_SysLib_EnterCriticalSection();
        Cy_SysPm_DeepSleep(CY_SYSPM_WAIT_FOR_INTERRUPT);
        Cy_SysLib_ExitCriticalSection(status);
    }
}

/* [] END OF FILE */
